set nocount on
set xact_abort on
go

use PartitioningDb
go

declare
	@OrderId int
  
select @OrderId = max(OrderId) + 1 from dbo.Orders2012_12

while 1 = 1
begin
	;with N1(C) as (select 0 union all select 0) -- 2 rows
	,N2(C) as (select 0 from N1 as T1 cross join N1 as T2) -- 4 rows
	,IDs(ID) as (select ROW_NUMBER() over (order by (select NULL)) from N2)
	insert into dbo.Orders2012_12(OrderDate,OrderId,OrderNum)
		select  
			DATEADD(hour,ID % (31 * 24),'2012-12-01'),
			@OrderId + ID,
			'Order: ' + convert(varchar(12),@OrderId + ID)	
		from IDs
	set @OrderId += 4
	waitfor delay '0:00:00.250'
end
go
